Upstream information

CVE-2023-6004 at MITRE

Description

A flaw was found in libssh. By utilizing the ProxyCommand or ProxyJump feature, users can exploit unchecked hostname syntax on the client. This issue may allow an attacker to inject malicious code into the command of the features mentioned through the hostname parameter.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.8 4.8
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:L CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low Low
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact Low Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1218209 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/golang:1.21
Container bci/golang:oldstable-openssl-11.4
Container bci/golang:stable-openssl-11.4
Container bci/nodejs:18-15.4
Container bci/nodejs:20-5.4
Container bci/openjdk-devel:11-13.7
Container bci/openjdk-devel:17-15.10
Container bci/php-apache:latest
Container bci/php-fpm:latest
Container bci/php:latest
Container bci/python:3.11-16.3
Container bci/python:3.6-17.3
Container bci/ruby:2.5-15.3
Container bci/rust:1.75-1.3.3
Container bci/rust:1.77
Container rancher/elemental-teal-rt/5.4:1.2.3-2.2.63
Container rancher/elemental-teal/5.4:1.2.3-3.2.78
Container rancher/seedimage-builder:1.5.1-1.5.1
Container suse/git:2.35-7.4
Container suse/hpc/warewulf4-x86_64/sle-hpc-node:latest
Container suse/ltss/sle15.4/sle15:15.4.2.8
Container suse/manager/4.3/proxy-httpd:4.3.12.9.52.13
Container suse/manager/4.3/proxy-salt-broker:4.3.12.9.42.16
Container suse/sle-micro-rancher/5.3:latest
Container suse/sle-micro-rancher/5.4:latest
Container suse/sle-micro/5.3/toolbox:13.2-6.8.1
Container suse/sle-micro/5.4/toolbox:13.2-5.15.1
Container suse/sle-micro/5.5/toolbox:12.1-2.2.138
Container suse/sle-micro/5.5:2.0.2-4.2.20
Container suse/sle-micro/base-5.5:2.0.2-4.2.16
Container suse/sle-micro/kvm-5.5:2.0.2-2.2.20
Container suse/sle-micro/rt-5.5:2.0.2-3.2.23
Container suse/sle15:15.5.36.5.74
Image SLES15-SP4-BYOS
Image SLES15-SP4-BYOS-Azure
Image SLES15-SP4-BYOS-EC2
Image SLES15-SP4-BYOS-GCE
Image SLES15-SP4-CHOST-BYOS
Image SLES15-SP4-CHOST-BYOS-Aliyun
Image SLES15-SP4-CHOST-BYOS-Azure
Image SLES15-SP4-CHOST-BYOS-EC2
Image SLES15-SP4-CHOST-BYOS-GCE
Image SLES15-SP4-CHOST-BYOS-SAP-CCloud
Image SLES15-SP4-HPC-BYOS
Image SLES15-SP4-HPC-BYOS-Azure
Image SLES15-SP4-Hardened-BYOS
Image SLES15-SP4-Hardened-BYOS-Azure
Image SLES15-SP4-Hardened-BYOS-EC2
Image SLES15-SP4-Hardened-BYOS-GCE
Image SLES15-SP4-Manager-Proxy-4-3-BYOS
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-Azure
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-GCE
Image SLES15-SP4-Manager-Server-4-3
Image SLES15-SP4-Manager-Server-4-3-Azure-llc
Image SLES15-SP4-Manager-Server-4-3-Azure-ltd
Image SLES15-SP4-Manager-Server-4-3-BYOS
Image SLES15-SP4-Manager-Server-4-3-BYOS-Azure
Image SLES15-SP4-Manager-Server-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Server-4-3-BYOS-GCE
Image SLES15-SP4-Manager-Server-4-3-EC2-llc
Image SLES15-SP4-Manager-Server-4-3-EC2-ltd
Image SLES15-SP4-Micro-5-3
Image SLES15-SP4-Micro-5-3-BYOS
Image SLES15-SP4-Micro-5-3-BYOS-Azure
Image SLES15-SP4-Micro-5-3-BYOS-EC2
Image SLES15-SP4-Micro-5-3-BYOS-GCE
Image SLES15-SP4-Micro-5-3-EC2
Image SLES15-SP4-Micro-5-4
Image SLES15-SP4-Micro-5-4-BYOS
Image SLES15-SP4-Micro-5-4-BYOS-Azure
Image SLES15-SP4-Micro-5-4-BYOS-EC2
Image SLES15-SP4-Micro-5-4-BYOS-GCE
Image SLES15-SP4-Micro-5-4-EC2
Image SLES15-SP4-Micro-5-4-GCE
Image SLES15-SP4-SAP-Azure-LI-BYOS
Image SLES15-SP4-SAP-Azure-LI-BYOS-Production
Image SLES15-SP4-SAP-Azure-VLI-BYOS
Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP4-SAP-BYOS
Image SLES15-SP4-SAP-BYOS-Azure
Image SLES15-SP4-SAP-BYOS-EC2
Image SLES15-SP4-SAP-BYOS-GCE
Image SLES15-SP4-SAP-Hardened
Image SLES15-SP4-SAP-Hardened-Azure
Image SLES15-SP4-SAP-Hardened-BYOS
Image SLES15-SP4-SAP-Hardened-BYOS-Azure
Image SLES15-SP4-SAP-Hardened-BYOS-EC2
Image SLES15-SP4-SAP-Hardened-BYOS-GCE
Image SLES15-SP4-SAP-Hardened-GCE
Image SLES15-SP4-SUSE-Rancher-Setup-BYOS
Image SLES15-SP4-SUSE-Rancher-Setup-BYOS-EC2
Image SLES15-SP5-Azure-Basic
Image SLES15-SP5-Azure-Standard
Image SLES15-SP5-BYOS-Azure
Image SLES15-SP5-BYOS-EC2
Image SLES15-SP5-BYOS-GCE
Image SLES15-SP5-CHOST-BYOS-Aliyun
Image SLES15-SP5-CHOST-BYOS-Azure
Image SLES15-SP5-CHOST-BYOS-EC2
Image SLES15-SP5-CHOST-BYOS-GCE
Image SLES15-SP5-CHOST-BYOS-SAP-CCloud
Image SLES15-SP5-EC2
Image SLES15-SP5-GCE
Image SLES15-SP5-HPC-Azure
Image SLES15-SP5-HPC-BYOS-Azure
Image SLES15-SP5-HPC-BYOS-EC2
Image SLES15-SP5-HPC-BYOS-GCE
Image SLES15-SP5-Hardened-BYOS-Azure
Image SLES15-SP5-Hardened-BYOS-EC2
Image SLES15-SP5-Hardened-BYOS-GCE
Image SLES15-SP5-SAP-Azure-LI-BYOS
Image SLES15-SP5-SAP-Azure-LI-BYOS-Production
Image SLES15-SP5-SAP-Azure-VLI-BYOS
Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP5-SAP-BYOS-Azure
Image SLES15-SP5-SAP-BYOS-EC2
Image SLES15-SP5-SAP-BYOS-GCE
Image SLES15-SP5-SAP-Hardened-Azure
Image SLES15-SP5-SAP-Hardened-BYOS-Azure
Image SLES15-SP5-SAP-Hardened-BYOS-EC2
Image SLES15-SP5-SAP-Hardened-BYOS-GCE
Image SLES15-SP5-SAP-Hardened-GCE
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
Container suse/ltss/sle15.3/sle15:15.3.4.8
Container suse/sle-micro-rancher/5.2:latest
Container suse/sle-micro/5.1/toolbox:13.2-3.8.1
Container suse/sle-micro/5.2/toolbox:13.2-7.8.1
Container suse/sle15:15.2.9.5.406
Image SLES15-SP2-SAP-Azure-LI-BYOS-Production
Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP3-Micro-5-1-BYOS-Azure
Image SLES15-SP3-Micro-5-1-BYOS-EC2-HVM
Image SLES15-SP3-Micro-5-1-BYOS-GCE
Image SLES15-SP3-Micro-5-2-BYOS-Azure
Image SLES15-SP3-Micro-5-2-BYOS-EC2-HVM
Image SLES15-SP3-Micro-5-2-BYOS-GCE
Image SLES15-SP3-SAP-Azure-LI-BYOS-Production
Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
Container suse/sles12sp5:6.5.566
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-ECS-On-Demand
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • libssh-config >= 0.9.8-3.12.2
  • libssh4 >= 0.9.8-3.12.2
Image SLES15-SP4-SAP
Image SLES15-SP4-SAP-Azure
Image SLES15-SP4-SAPCAL
Image SLES15-SP4-SAPCAL-Azure
Image SLES15-SP5-SAPCAL-Azure
Image SLES15-SP5-SAPCAL-EC2
Image SLES15-SP5-SAPCAL-GCE
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
SUSE Enterprise Storage 7.1
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh-devel >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
  • libssh4-32bit >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-Storage-7.1-2024-525
SUSE Liberty Linux 8
  • libssh >= 0.9.6-14.el8
  • libssh-config >= 0.9.6-14.el8
  • libssh-devel >= 0.9.6-14.el8
Patchnames:
RHSA-2024:3233
SUSE Liberty Linux 9
  • libssh >= 0.10.4-13.el9
  • libssh-config >= 0.10.4-13.el9
  • libssh-devel >= 0.10.4-13.el9
Patchnames:
RHSA-2024:2504
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-140
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh-devel >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
  • libssh4-32bit >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-525
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh-devel >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
  • libssh4-32bit >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-525
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-140
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-140
SUSE Linux Enterprise Micro 5.1
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-SUSE-MicroOS-5.1-2024-525
SUSE Linux Enterprise Micro 5.2
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-SUSE-MicroOS-5.2-2024-525
SUSE Linux Enterprise Micro 5.3
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Micro-5.3-2024-140
SUSE Linux Enterprise Micro 5.4
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Micro-5.4-2024-140
SUSE Linux Enterprise Micro 5.5
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Micro-5.5-2024-140
SUSE Linux Enterprise Micro 6.0
  • libssh-config >= 0.10.6-1.12
  • libssh4 >= 0.10.6-1.12
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA libssh-config-0.10.6-1.12
SUSE Linux Enterprise Real Time 15 SP4
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Product-RT-15-SP4-2024-140
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libssh-config >= 0.9.8-3.12.2
  • libssh-devel >= 0.9.8-3.12.2
  • libssh4 >= 0.9.8-3.12.2
  • libssh4-32bit >= 0.9.8-3.12.2
Patchnames:
SUSE-SLE-SDK-12-SP5-2024-539
SUSE-SLE-SERVER-12-SP5-2024-539
SUSE Linux Enterprise Server 15 SP2-LTSS
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh-devel >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
  • libssh4-32bit >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-525
SUSE Linux Enterprise Server 15 SP3-LTSS
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh-devel >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
  • libssh4-32bit >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-525
SUSE Linux Enterprise Server 15 SP4-LTSS
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-140
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh-devel >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
  • libssh4-32bit >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2024-525
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • libssh-config >= 0.9.8-150200.13.3.1
  • libssh-devel >= 0.9.8-150200.13.3.1
  • libssh4 >= 0.9.8-150200.13.3.1
  • libssh4-32bit >= 0.9.8-150200.13.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2024-525
SUSE Linux Enterprise Server for SAP Applications 15 SP4
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP4-2024-140
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libssh-devel >= 0.9.8-3.12.2
  • libssh4 >= 0.9.8-3.12.2
Patchnames:
SUSE-SLE-SDK-12-SP5-2024-539
SUSE Manager Proxy 4.3
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-140
SUSE Manager Retail Branch Server 4.3
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.3-2024-140
SUSE Manager Server 4.3
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-140
openSUSE Leap 15.5
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh-devel >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
  • libssh4-32bit >= 0.9.8-150400.3.3.1
Patchnames:
openSUSE-SLE-15.5-2024-140
openSUSE Leap Micro 5.3
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
Patchnames:
openSUSE-Leap-Micro-5.3-2024-140
openSUSE Leap Micro 5.4
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
Patchnames:
openSUSE-Leap-Micro-5.4-2024-140
openSUSE Leap Micro 5.5
  • libssh-config >= 0.9.8-150400.3.3.1
  • libssh4 >= 0.9.8-150400.3.3.1
Patchnames:
openSUSE-Leap-Micro-5.5-2024-140
openSUSE Tumbleweed
  • libssh-config >= 0.10.6-1.1
  • libssh-devel >= 0.10.6-1.1
  • libssh4 >= 0.10.6-1.1
  • libssh4-32bit >= 0.10.6-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13638


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libssh Released
SUSE Linux Enterprise Desktop 15 SP5 libssh Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libssh Released
SUSE Linux Enterprise High Performance Computing 15 SP5 libssh Released
SUSE Linux Enterprise Micro 5.1 libssh Released
SUSE Linux Enterprise Micro 5.2 libssh Released
SUSE Linux Enterprise Micro 5.3 libssh Released
SUSE Linux Enterprise Micro 5.4 libssh Released
SUSE Linux Enterprise Micro 5.5 libssh Released
SUSE Linux Enterprise Micro for Rancher 5.3 libssh Released
SUSE Linux Enterprise Micro for Rancher 5.4 libssh Released
SUSE Linux Enterprise Micro for Rancher 5.5 libssh Released
SUSE Linux Enterprise Module for Basesystem 15 SP5 libssh Released
SUSE Linux Enterprise Server 12 SP5 libssh Released
SUSE Linux Enterprise Server 15 SP5 libssh Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libssh Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libssh Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libssh Released
SUSE Manager Proxy 4.3 libssh Released
SUSE Manager Retail Branch Server 4.3 libssh Released
SUSE Manager Server 4.3 libssh Released
openSUSE Leap 15.5 libssh Released
openSUSE Leap Micro 5.4 libssh Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libssh Not affected
SUSE Linux Enterprise Desktop 15 SP4 LTSS libssh Released
SUSE Linux Enterprise High Performance Computing 15 SP2 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libssh Released
SUSE Linux Enterprise High Performance Computing 15 SP3 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libssh Released
SUSE Linux Enterprise High Performance Computing 15 SP4 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libssh Released
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libssh Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 libssh Not affected
SUSE Linux Enterprise Server 15 SP2 libssh Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS libssh Released
SUSE Linux Enterprise Server 15 SP3 libssh Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS libssh Released
SUSE Linux Enterprise Server 15 SP4 libssh Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS libssh Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libssh Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libssh Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libssh Released
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 libssh Not affected
SUSE Enterprise Storage 6 libssh Not affected
SUSE Enterprise Storage 7 libssh Not affected
SUSE Linux Enterprise Desktop 12 libssh Not affected
SUSE Linux Enterprise Desktop 12 SP1 libssh Not affected
SUSE Linux Enterprise Desktop 12 SP2 libssh Not affected
SUSE Linux Enterprise Desktop 12 SP3 libssh Not affected
SUSE Linux Enterprise Desktop 12 SP4 libssh Not affected
SUSE Linux Enterprise Desktop 15 libssh Not affected
SUSE Linux Enterprise Desktop 15 SP1 libssh Not affected
SUSE Linux Enterprise Desktop 15 SP2 libssh Not affected
SUSE Linux Enterprise Desktop 15 SP3 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS libssh Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS libssh Not affected
SUSE Linux Enterprise Micro 5.0 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 libssh Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 libssh Not affected
SUSE Linux Enterprise Real Time 15 SP2 libssh Not affected
SUSE Linux Enterprise Real Time 15 SP3 libssh Not affected
SUSE Linux Enterprise Real Time 15 SP4 libssh Released
SUSE Linux Enterprise Server 12 libssh Not affected
SUSE Linux Enterprise Server 12 SP1 libssh Not affected
SUSE Linux Enterprise Server 12 SP2 libssh Not affected
SUSE Linux Enterprise Server 12 SP3 libssh Not affected
SUSE Linux Enterprise Server 12 SP4 libssh Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libssh Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS libssh Not affected
SUSE Linux Enterprise Server 15 libssh Not affected
SUSE Linux Enterprise Server 15 SP1 libssh Not affected
SUSE Linux Enterprise Server 15 SP1-BCL libssh Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS libssh Not affected
SUSE Linux Enterprise Server 15 SP2-BCL libssh Not affected
SUSE Linux Enterprise Server 15 SP3-BCL libssh Not affected
SUSE Linux Enterprise Server 15-LTSS libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 libssh Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libssh Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libssh Not affected
SUSE Linux Enterprise Workstation Extension 12 libssh Not affected
SUSE Linux Enterprise Workstation Extension 12 SP1 libssh Not affected
SUSE Linux Enterprise Workstation Extension 12 SP2 libssh Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 libssh Not affected
SUSE Manager Proxy 4.0 libssh Not affected
SUSE Manager Proxy 4.1 libssh Not affected
SUSE Manager Proxy 4.2 libssh Not affected
SUSE Manager Retail Branch Server 4.0 libssh Not affected
SUSE Manager Retail Branch Server 4.1 libssh Not affected
SUSE Manager Retail Branch Server 4.2 libssh Not affected
SUSE Manager Server 4.0 libssh Not affected
SUSE Manager Server 4.1 libssh Not affected
SUSE Manager Server 4.2 libssh Not affected
SUSE OpenStack Cloud 9 libssh Not affected
SUSE OpenStack Cloud Crowbar 9 libssh Not affected
openSUSE Leap 15.4 libssh Released
openSUSE Leap Micro 5.3 libssh Released
Harvester master
rancher/shell:v0.1.22 libssh-config
libssh4
Affected
Harvester v1.2-head
rancher/fleet-agent:v0.9.0
rancher/fleet:v0.9.0
rancher/gitjob:v0.1.96
rancher/nginx-ingress-controller:nginx-1.9.3-hardened1
rancher/rke2-cloud-provider:v1.26.3-build20230406
rancher/shell:v0.1.22
libssh-config
libssh4
Affected
Harvester v1.2.1
rancher/fleet-agent:v0.7.0
rancher/fleet:v0.7.0
rancher/gitjob:v0.1.54
rancher/nginx-ingress-controller:nginx-1.6.4-hardened4
rancher/rancher:v2.7.5
rancher/rke2-cloud-provider:v1.26.3-build20230406
rancher/shell:v0.1.18
rancher/shell:v0.1.20
libssh-config
libssh4
Affected
rancher/hardened-kubernetes:v1.25.9-rke2r1-build20230412 libssh4Affected
Harvester v1.2.2
rancher/fleet-agent:v0.9.0
rancher/fleet:v0.9.0
rancher/gitjob:v0.1.96
rancher/nginx-ingress-controller:nginx-1.9.3-hardened1
rancher/rke2-cloud-provider:v1.26.3-build20230406
rancher/shell:v0.1.22
libssh-config
libssh4
Affected
Harvester v1.3-head
rancher/shell:v0.1.22 libssh-config
libssh4
Affected
Harvester v1.3.0
rancher/fleet-agent:v0.9.0
rancher/fleet:v0.9.0
rancher/gitjob:v0.1.96
rancher/hardened-kubernetes:v1.27.10-rke2r1-build20240117
rancher/nginx-ingress-controller:nginx-1.9.3-hardened1
rancher/rke2-cloud-provider:v1.28.2-build20231016
rancher/shell:v0.1.22
libssh-config
libssh4
Affected
Harvester v1.3.1
rancher/shell:v0.1.22 libssh-config
libssh4
Affected
Rancher v2.7-head
rancher/hardened-kubernetes:v1.23.17-rke2r1-build20230228
rancher/hardened-kubernetes:v1.24.17-rke2r1-build20230824
rancher/hardened-kubernetes:v1.25.16-rke2r1-build20231116
rancher/machine:v0.15.0-rancher109
rancher/nginx-ingress-controller:nginx-1.2.1-hardened9
rancher/nginx-ingress-controller:nginx-1.4.1-hardened2
rancher/nginx-ingress-controller:nginx-1.6.4-hardened4
rancher/nginx-ingress-controller:nginx-1.7.1-hardened1
rancher/nginx-ingress-controller:nginx-1.9.3-hardened1
rancher/rke2-cloud-provider:v1.25.3-build20221017
rancher/rke2-cloud-provider:v1.26.1-build20230210
rancher/rke2-cloud-provider:v1.26.3-build20230406
rancher/rke2-cloud-provider:v1.26.3-build20230608
rancher/rke2-cloud-provider:v1.28.2-build20231016
libssh-config
libssh4
Affected
Rancher v2.7.14
rancher/hardened-kubernetes:v1.23.17-rke2r1-build20230228
rancher/hardened-kubernetes:v1.24.17-rke2r1-build20230824
rancher/hardened-kubernetes:v1.25.16-rke2r1-build20231116
rancher/machine:v0.15.0-rancher109
rancher/nginx-ingress-controller:nginx-1.2.1-hardened9
rancher/nginx-ingress-controller:nginx-1.4.1-hardened2
rancher/nginx-ingress-controller:nginx-1.6.4-hardened4
rancher/nginx-ingress-controller:nginx-1.7.1-hardened1
rancher/nginx-ingress-controller:nginx-1.9.3-hardened1
rancher/rke2-cloud-provider:v1.25.3-build20221017
rancher/rke2-cloud-provider:v1.26.1-build20230210
rancher/rke2-cloud-provider:v1.26.3-build20230406
rancher/rke2-cloud-provider:v1.26.3-build20230608
rancher/rke2-cloud-provider:v1.28.2-build20231016
libssh-config
libssh4
Affected
Rancher v2.8-head
rancher/hardened-kubernetes:v1.25.16-rke2r1-build20231116
rancher/nginx-ingress-controller:nginx-1.7.1-hardened1
rancher/nginx-ingress-controller:nginx-1.9.3-hardened1
rancher/rke2-cloud-provider:v1.26.3-build20230406
rancher/rke2-cloud-provider:v1.26.3-build20230608
rancher/rke2-cloud-provider:v1.28.2-build20231016
libssh-config
libssh4
Affected
Rancher v2.8.5
rancher/hardened-kubernetes:v1.25.16-rke2r1-build20231116
rancher/nginx-ingress-controller:nginx-1.7.1-hardened1
rancher/nginx-ingress-controller:nginx-1.9.3-hardened1
rancher/rke2-cloud-provider:v1.26.3-build20230406
rancher/rke2-cloud-provider:v1.26.3-build20230608
rancher/rke2-cloud-provider:v1.28.2-build20231016
libssh-config
libssh4
Affected
Rancher v2.9-head
rancher/hardened-kubernetes:v1.25.16-rke2r1-build20231116
rancher/machine:v0.15.0-rancher109
rancher/nginx-ingress-controller:nginx-1.7.1-hardened1
rancher/nginx-ingress-controller:nginx-1.9.3-hardened1
rancher/rke2-cloud-provider:v1.26.3-build20230406
rancher/rke2-cloud-provider:v1.26.3-build20230608
rancher/rke2-cloud-provider:v1.28.2-build20231016
rancher/shell:v0.1.19
rancher/shell:v0.1.22
libssh-config
libssh4
Affected


SUSE Timeline for this CVE

CVE page created: Tue Dec 19 01:05:38 2023
CVE page last modified: Thu Jun 20 10:29:42 2024